Package ch.qos.logback.access.spi

## Interface ServerAdapter

All Known Implementing Classes:
  `JettyServerAdapter`, `TomcatServerAdapter`

    public interface ServerAdapter

An interface to access server-specific methods from the server-independent AccessEvent.

Author:
  Ceki Gülcü, Sébastien Pennec

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Map<java.lang.String,​java.lang.String>` `buildResponseHeaderMap()`
`long` `getContentLength()`
`long` `getRequestTimestamp()`
`int` `getStatusCode()`

### Method Detail

#### getRequestTimestamp

    long getRequestTimestamp()

#### getContentLength

    long getContentLength()

#### getStatusCode

    int getStatusCode()

#### buildResponseHeaderMap

    java.util.Map<java.lang.String,​java.lang.String> buildResponseHeaderMap()